Skip to main content

Registered Model

View as Markdown

RegisteredModelInfo object

namestring

The name of the registered model

catalog_namestring

The name of the catalog where the schema and the registered model reside

schema_namestring

The name of the schema where the registered model resides

ownerstring

The identifier of the user who owns the registered model

commentstring

The comment attached to the registered model

Constraints: [ 1 .. 65536 ] characters

storage_locationstring

The storage location on the cloud under which model version data files are stored

metastore_idstring

The unique identifier of the metastore

full_namestring

The three-level (fully qualified) name of the registered model

created_atint64

Creation timestamp of the registered model in milliseconds since the Unix epoch

created_bystring

The identifier of the user who created the registered model

updated_atint64

Last-update timestamp of the registered model in milliseconds since the Unix epoch

updated_bystring

The identifier of the user who updated the registered model last time

aliasesarray of object

List of aliases associated with the registered model

Show child attributesHide child attributes
alias_namestring

Name of the alias, e.g. 'champion' or 'latest_stable'

version_numint64

Integer version number of the model version to which this alias points.

idstring

The unique identifier of the alias

model_namestring

The name of the parent registered model of the model version, relative to parent schema

catalog_namestring

The name of the catalog containing the model version

schema_namestring

The name of the schema containing the model version, relative to parent catalog

browse_onlyboolean

Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.

Get GA

GET /api/2.1/unity-catalog/models/{full_name_arg}

Get a registered model.

The caller must be a metastore admin or an owner of (or have the EXECUTE privilege on) the registered model. For the latter case, the caller must also be the owner or have the USE_CATALOG privilege on the parent catalog and the USE_SCHEMA privilege on the parent schema.

API scopes: unity-catalog

Parameters

full_name_argstringpath

The three-level (fully qualified) name of the registered model

include_aliasesbooleanquery

Whether to include registered model aliases in the response

include_browsebooleanquery

Whether to include registered models in the response for which the principal can only access selective metadata for

Response

Returns the RegisteredModelInfo object.

Create GA

POST /api/2.1/unity-catalog/models

Creates a new registered model in Unity Catalog.

File storage for model versions in the registered model will be located in the default location which is specified by the parent schema, or the parent catalog, or the Metastore.

For registered model creation to succeed, the user must satisfy the following conditions:

  • The caller must be a metastore admin, or be the owner of the parent catalog and schema, or have the USE_CATALOG privilege on the parent catalog and the USE_SCHEMA privilege on the parent schema.
  • The caller must have the CREATE MODEL or CREATE FUNCTION privilege on the parent schema.

API scopes: unity-catalog

Request body

namestring

The name of the registered model

catalog_namestring

The name of the catalog where the schema and the registered model reside

schema_namestring

The name of the schema where the registered model resides

ownerstring

The identifier of the user who owns the registered model

commentstring

The comment attached to the registered model

Constraints: [ 1 .. 65536 ] characters

storage_locationstring

The storage location on the cloud under which model version data files are stored

metastore_idstring

The unique identifier of the metastore

full_namestring

The three-level (fully qualified) name of the registered model

created_atint64

Creation timestamp of the registered model in milliseconds since the Unix epoch

created_bystring

The identifier of the user who created the registered model

updated_atint64

Last-update timestamp of the registered model in milliseconds since the Unix epoch

updated_bystring

The identifier of the user who updated the registered model last time

aliasesarray of object

List of aliases associated with the registered model

Show child attributesHide child attributes
alias_namestring

Name of the alias, e.g. 'champion' or 'latest_stable'

version_numint64

Integer version number of the model version to which this alias points.

idstring

The unique identifier of the alias

model_namestring

The name of the parent registered model of the model version, relative to parent schema

catalog_namestring

The name of the catalog containing the model version

schema_namestring

The name of the schema containing the model version, relative to parent catalog

browse_onlyboolean

Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.

Response

Returns the RegisteredModelInfo object.

Update GA

PATCH /api/2.1/unity-catalog/models/{full_name_arg}

Updates the specified registered model.

The caller must be a metastore admin or an owner of the registered model. For the latter case, the caller must also be the owner or have the USE_CATALOG privilege on the parent catalog and the USE_SCHEMA privilege on the parent schema.

Currently only the name, the owner or the comment of the registered model can be updated.

API scopes: unity-catalog

Parameters

full_name_argstringpath

The three-level (fully qualified) name of the registered model

Request body

new_namestring

New name for the registered model.

namestring

The name of the registered model

catalog_namestring

The name of the catalog where the schema and the registered model reside

schema_namestring

The name of the schema where the registered model resides

ownerstring

The identifier of the user who owns the registered model

commentstring

The comment attached to the registered model

Constraints: [ 1 .. 65536 ] characters

storage_locationstring

The storage location on the cloud under which model version data files are stored

metastore_idstring

The unique identifier of the metastore

full_namestring

The three-level (fully qualified) name of the registered model

created_atint64

Creation timestamp of the registered model in milliseconds since the Unix epoch

created_bystring

The identifier of the user who created the registered model

updated_atint64

Last-update timestamp of the registered model in milliseconds since the Unix epoch

updated_bystring

The identifier of the user who updated the registered model last time

aliasesarray of object

List of aliases associated with the registered model

Show child attributesHide child attributes
alias_namestring

Name of the alias, e.g. 'champion' or 'latest_stable'

version_numint64

Integer version number of the model version to which this alias points.

idstring

The unique identifier of the alias

model_namestring

The name of the parent registered model of the model version, relative to parent schema

catalog_namestring

The name of the catalog containing the model version

schema_namestring

The name of the schema containing the model version, relative to parent catalog

browse_onlyboolean

Indicates whether the principal is limited to retrieving metadata for the associated object through the BROWSE privilege when include_browse is enabled in the request.

Response

Returns the RegisteredModelInfo object.

Delete GA

DELETE /api/2.1/unity-catalog/models/{full_name_arg}

Deletes a registered model and all its model versions from the specified parent catalog and schema.

The caller must be a metastore admin or an owner of the registered model. For the latter case, the caller must also be the owner or have the USE_CATALOG privilege on the parent catalog and the USE_SCHEMA privilege on the parent schema.

API scopes: unity-catalog

Parameters

full_name_argstringpath

The three-level (fully qualified) name of the registered model